MagicMirror² v2.5.0 is available! For more information about this release, check out this topic.

Error when installing please help!



  • Need help!
    When I installing magicmirror using

    bash -c "$(curl -sL https://raw.githubusercontent.com/MichMich/MagicMirror/master/installers/raspberry.sh)"

    things go wrong like:

    Downloading electron-v2.0.0-linux-arm.zip
    Error: read ECONNRESET
    /home/pi/MagicMirror/node_modules/electron/install.js:47
      throw err
      ^
    
    Error: read ECONNRESET
        at TLSWrap.onread (net.js:602:25)
    npm WARN grunt-stylelint@0.10.1 requires a peer of stylelint@^9.0.0 but none is installed. You must install peer dependencies yourself.
    
    npm ERR! code ELIFECYCLE
    npm ERR! errno 1
    npm ERR! electron@2.0.0 postinstall: `node install.js`
    npm ERR! Exit status 1
    npm ERR! 
    npm ERR! Failed at the electron@2.0.0 postinstall script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2018-10-15T15_53_36_040Z-debug.log
    Unable to install dependencies!
    
    Delete MagicMirror folder to install again, still like this.
    I have notice that other people are also getting trouble like this:
    https://github.com/MichMich/MagicMirror/issues/1281
    

    Please help!
    Thanks